.page-masthead {
  $page-masthead-background-color: $gray-base;
  $page-masthead-link-color: $brand-yellow;
  $page-masthead-background-image-position: center center;
  $page-masthead-color: white;
  $page-masthead-title-font-family: $headings-font-family;
  $page-masthead-title-font-size: 60px;
  $page-masthead-title-font-size-tablet: $font-size-h2;
  $page-masthead-title-font-size-phone: $font-size-h3;
  $page-masthead-title-font-weight: bold;
  $page-masthead-padding: 70px 0 60px 0;
  $page-masthead-padding-tablet: 45px 0 30px 0;
  $page-masthead-padding-phone: 30px 0 15px 0;
  $page-masthead-screen-background: rgba(0, 0, 0, 0.6);
  $page-masthead-screen-shadow: inset 0 -3px 6px rgba(0, 0, 0, 0.27);
  $page-masthead-text-shadow: 0 1px 1px rgba(0, 0, 0, 0.57);

  background-color: $page-masthead-background-color;
  // Some properities relevant when background image is uploaded by user.
  background-position: $page-masthead-background-image-position;
  background-repeat: no-repeat;
  background-size: cover;
  color: $page-masthead-color;
  padding: $page-masthead-padding;
  position: relative;
  text-align: center;

  @media screen and (max-width: $container-tablet) {
    padding: $page-masthead-padding-tablet;
  }

  @media screen and (max-width: $container-phone) {
    padding: $page-masthead-padding-phone;
  }

  .container {
    position: relative;
  }

  .page-masthead-title {
    font-family: $page-masthead-title-font-family;
    font-size: $page-masthead-title-font-size;
    font-weight: $page-masthead-title-font-weight;
    margin-bottom: $grid-gutter-width/2;
    text-transform: uppercase;
    @include textShadow();
    @media screen and (max-width: $container-tablet) {
      font-size: $page-masthead-title-font-size-tablet;
    }

    @media screen and (max-width: $container-phone) {
      font-size: $page-masthead-title-font-size-phone;
    }
  }

  .page-masthead-body {
    text-shadow: $page-masthead-text-shadow;
    max-width:90%;
     overflow:hidden;
    margin:0 auto;
    @media screen and (max-width: $container-tablet) {
      font-size: 16px; // TODO: Make a variable

    }    
  }

  .page-masthead-screen {
    position: absolute;
    top: 0;
    left: 0;

    background-color: $page-masthead-screen-background;
    @include box-shadow($page-masthead-screen-shadow);
    height: 100%;
    width: 100%;
  }

  & a, & a:visited, & a:active {
    color:$page-masthead-link-color;
  }



  //wis specific changes
  & .btn-primary {
    text-align:center;
    background-color: $brand-yellow;
    border-color: $brand-yellow;
    border-width: 2px;
    padding: .5em 2.5em;
    color:$gray-base !important;
    text-shadow:none;
    &:hover,
    &:focus {
      background-color: $gray-base;
      color:$btn-default-bg !important;
    }
  }

  .home-intro-main {
    overflow: hidden;
  }
  
  .home-intro-footer {
    margin-top: $grid-gutter-width/2;
    margin-bottom: $grid-gutter-width/2;
     @media screen and (min-width: $container-tablet) {
        margin-top: $grid-gutter-width;
        
     }
   
    @include textShadow();
    }
  .home-intro-speakers-list {
    line-height: 2em;

    a {
      @include textShadow();
      color: $page-masthead-link-color;
      display: inline-block;
      font-size: 40px;
      font-weight: $font-weight-light;
      margin-left: -$grid-gutter-width;
      padding: 0 $grid-gutter-width;
      text-transform: uppercase;
      &:hover,
      &:focus{
        color: $page-masthead-link-color;
      }
      b {
        font-weight: $font-weight-bold;
      }
    }

    @media screen and (max-width: $container-tablet) {
      a {
        font-size: 22px;
        line-height: 1.2em;
      }
    }
  }
  p.home-intro-keynotes {
  display: inline-block;
  position: relative;

    &:before {
      position: absolute;
      top: 50%;
      left: -5px;
      border-top: 1px solid white;
      content: "";
      width: 600px;
      margin-left: -600px;
    }

    &:after {
      position: absolute;
      top: 50%;
      right: -5px;
      border-top: 1px solid white;
      content: "";
      width: 600px;
      margin-right: -600px;
    }
  }
  .home-intro-featured{
    border-bottom: 2px solid #e9e9e9;
    display: inline-block;
    line-height: 1em;
    padding: 0 0 8px 0;
    text-transform: uppercase;
    @include textShadow();
  }
  .home-intro-session-title{
      color:$brand-yellow;
      text-transform:uppercase;
      @include textShadow();
      h2{
        margin-top:0;
      }
  }
  .home-intro-session-time{
      @include textShadow();
      @extend h3;
      text-transform:uppercase;
      font-weight:regular;
  }
}

